/*

wiz.h - Access to WIZnet on NFX

*/

#ifndef WIZ_H
#define	WIZ_H

/*...sincludes:0:*/
#include "types.h"
#include "w5100.h"

/*...vtypes\46\h:0:*/
/*...vw5100\46\h:0:*/
/*...e*/

extern void wiz_reset(void);
extern void wiz_set_addr(word addr);
extern void wiz_write(word addr, byte value);
extern void wiz_write_word(word addr, word ptr);
extern void wiz_write_n(word addr, const byte *values, word n);
extern byte wiz_read(word addr);
extern word wiz_read_word(word addr);
extern void wiz_read_n(word addr, byte *values, word n);

#endif
